## org.eclipse.emf.ecore.util
Interface EContentsEList.FeatureIterator<E>

All Superinterfaces:
  java.util.Iterator<E>

All Known Subinterfaces:
  EContentsEList.FeatureListIterator<E>, FeatureMap.ValueListIterator<E>

All Known Implementing Classes:
  BasicFeatureMap.ValueListIteratorImpl, DelegatingFeatureMap.ValueListIteratorImpl, EContentsEList.FeatureIteratorImpl, EContentsEList.ResolvingFeatureIteratorImpl, ECrossReferenceEList.FeatureIteratorImpl, ECrossReferenceEList.ResolvingFeatureIteratorImpl

Enclosing class:
  EContentsEList<E>

    public static interface EContentsEList.FeatureIterator<E>

extends java.util.Iterator<E>

Method Summary
`EStructuralFeature` `feature()`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### feature

    EStructuralFeature feature()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.